# Uses of Class
org.bukkit.conversations.ConversationAbandonedEvent

Packages that use ConversationAbandonedEvent
Package
Description
org.bukkit.conversations
Classes dedicated to facilitate direct player-to-plugin communication.

## Uses of ConversationAbandonedEvent in org.bukkit.conversations

Methods in org.bukkit.conversations with parameters of type ConversationAbandonedEvent
Modifier and Type
Method
Description
`void`
Conversation.`abandon(@NotNull ConversationAbandonedEvent details)`
Abandons and resets the current conversation.
`void`
Conversable.`abandonConversation(@NotNull Conversation conversation, @NotNull ConversationAbandonedEvent details)`
Abandons an active conversation.
`void`
ConversationAbandonedListener.`conversationAbandoned(@NotNull ConversationAbandonedEvent abandonedEvent)`
Called whenever a `Conversation` is abandoned.